int main(void)
{
    /* Builtin functions */
    double sin(double), cos(double);

    /* Local variables */
    extern int iib9d_c(double *, double *, double *, double *, int *,
                       int *, double *, double *, double *, double *,
                       double *, double *, double *, double *, double *);
    static int i__, j, m, n;
    static double r__, u[5], y, x1, x2, ya[20] /* was [5][4] */,
                yt[4], x1a[5], x2a[4], y2a[20] /* was [5][4] */,
                yp1, y1t, y2t[5], ypm, yyt[5];
    int i__1, i__2;

#define ya_ref(a_1,a_2) ya[(a_2)*5 + a_1 - 6]
#define y2a_ref(a_1,a_2) y2a[(a_2)*5 + a_1 - 6]

    m = 5;
    n = 4;
    r__ = 0.;
    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x1a[i__ - 1] = r__;
/* L1: */
        r__ += .1;
    }
    r__ = 0.;
    i__1 = n;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x2a[i__ - 1] = r__;
/* L2: */
        r__ += .1;
    }
    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        i__2 = n;
        for (j = 1; j <= i__2; ++j) {
            ya_ref(i__, j) = sin(x1a[i__ - 1]) * sin(x2a[j - 1]);
/* L4: */
            y2a_ref(i__, j) = -ya_ref(i__, j);
        }
    }
    x1 = .55;
    x2 = .65;
    yp1 = cos(x1a[0]) * sin(x2);
    ypm = cos(x1a[m - 1]) * sin(x2);
    iib9d_c(x1a, x2a, ya, y2a, &m, &n, &x1, &x2, &yp1, &ypm, &y, yt, y2t,
            yyt, u);
    y1t = sin(x1) * sin(x2);

    printf("\n %24.14e %24.14e \n",y, y1t);
    return 0;
} /* main */

#undef y2a_ref
#undef ya_ref
